## MacPorts-2.3.0-beta2.tar.bz2

=== portmgr/jobs/Makefile ===
# $Id: Makefile 119170 2014-04-18 21:57:35Z cal@macports.org $

SCRIPTS=	PortIndex2MySQL

edit = sed \
	-e 's,@TCLSH@,$(TCLSH),g'


include ../../Mk/macports.autoconf.mk


all: ${SCRIPTS}

PortIndex2MySQL: PortIndex2MySQL.tcl
	${edit} $< > $@
	chmod 755 $@

clean:
	rm -f ${SCRIPTS}

distclean: clean

=== doc/exampleport/Portfile ===
# All ports must have the "svn:keywords : Id" and "svn:eol-style : native"
# svn props set on them and start with a commented out Id tag, which
# the server will expand:
# $Id: Portfile 106666 2013-06-04 01:16:14Z ryandesign@macports.org $

# Following that comes the PortSystem declaration:
# PortSystem <version>
# where version is the version of the ports system your port relies upon.
# This can NOT be commented out.
PortSystem          1.0

# The name of the port
name                glib2

# Its version information
version             2.12.11

# Supported and tested platforms
platforms           darwin

# Categories and identifying keywords
categories          devel

# Email address(es) of the port's Maintainer(s)
maintainers ryandesign@macports.org

# A short description of this port
description         Library with data structure functions and other constructs

# A long description, with more details
long_description    Glib is a library which includes support routines for \
                    C, such as lists, trees, hashes, memory allocation, and \
                    many other things.

# Homepage for the port:
homepage            http://www.gtk.org/

# Master download sites for port's distribution file(s)
master_sites        ftp://ftp.gtk.org/pub/glib/2.12 \
                    gnome:sources/glib/2.12

# Name of the distribution file, minus extract suffix (see below)
distname            glib-${version}

# (Optional) Explicitly set suffix (default: .tar.gz)
#extract.suffix      .tar.bz2

# (Optional) Use bzip2 instead of gzip for uncompressing distribution file
use_bzip2           yes

# List of checksums for files to be fetched
# <file name> <checksum type> <checksum>
checksums   ${distname}${extract.suffix} md5 077a9917b673a9a0bc63f351786dde24 \
        ${distname}${extract.suffix} sha1 02d344295ddaeafeec6bc6824b71e12bbf1b0394 \
        ${distname}${extract.suffix} rmd160 8680d27e630643e6653d88537907d06e3ba6e91a

# Any patches which should be applied after extracting this port.  These
# should go in the files/ subdirectory of the port.
patchfiles          patch-glib-2.0.pc.in \
                    patch-glib__gutils.c

# Dependencies are defined by three settings:
#    depends_lib:   installed at build time and at install time
#    depends_run:   installed at install time
#    depends_build: installed at build time
#
#    These options accept a list of depspecs. Depspecs are ':' delimited three
#    value lists of type:match:portname. The following types are supported:
#
#   lib - The lib type requires the match argument in the
#           format <libraryname>.<major version>
#   bin - The bin type requires the match argument to be the full
#           executable name
#   <path>  - If a full path is specified as the type, the math argument
#           must be a complete regexp.
#   portname must be the name of a valid port to build and install
#   if the depspec is not matched.
#   An alternative dependency depspec is the port:<portname> syntax,
#   used when you want to insure the given dependency is satisfied
#   exclusively by MacPorts.
depends_build       port:pkgconfig
depends_lib         port:gettext

# The type of configuration script this port uses.
#configure.type      gnu

# A list of configuration time arguments you might want to pass to the configure script:
configure.args      --mandir=${prefix}/share/man

# The directory name of the subdirectory of work/ where this port extracts
#worksrcdir          glib

# Alternative ways to build the port, packed as 'variants'
variant puredarwin { depends_run bin:perl:perl5.8 }

=== tests/test/statefile-version1/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id: Portfile 96400 2012-08-08 21:17:12Z cal@macports.org $

PortSystem          1.0
name                statefile-version1
version             1
categories          test
maintainers         cal
description         Test port for current statefiles, version 1
homepage            http://www.macports.org/
platforms           darwin

long_description    ${description}

distfiles

fetch               {}
extract             {}
configure           {}
build               {}
destroot            {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test                {}

=== tests/test/variants/Portfile ===
# $Id: Portfile 79489 2011-06-15 20:31:28Z jmr@macports.org $

PortSystem 1.0
name		variants
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for variants logic
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

distfiles
use_configure no
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test {
	# test is actually installing this.
}

# We override universal variant.
variant universal {
	puts "Universal Variant"
}

# We define the utopia variant twice
variant utopia {
	puts "Utopia variant -- 1"
}
variant utopia {
	puts "Utopia variant -- 2"
}

default_variants	+utopia

=== tests/test/xcodeversion/Portfile ===
# $Id: Portfile 106159 2013-05-17 04:54:54Z ryandesign@macports.org $

PortSystem 1.0
name        xcodeversion
version     1
categories  test
maintainers pguyot@kallisys.net
description Test port for \$xcodeversion
homepage    http://www.macports.org/
platforms   darwin

long_description ${description}

distfiles
use_configure no
build       {}
destroot    {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test {
    # rpm-vercomp is now deprecated, change it here too when removed
    # from all ports and base (but keep this test here, meanwhile...)
    # rpm-vercomp removed from ports r89810, from base r89811
    if {$xcodeversion != "" && [vercmp $xcodeversion 2.1] >= 0} {
        ui_msg "xcodeversion >= 2.1"
    } else {
        ui_msg "xcodeversion = $xcodeversion"
    }
    ui_msg "xcodebuildcmd = $xcodebuildcmd"
}
